Debian Bug report logs - #389140
please make list in description render nicely in aptitude

version graph

Package: gnumeric; Maintainer for gnumeric is Dmitry Smirnov <onlyjob@debian.org>; Source for gnumeric is src:gnumeric.

Reported by: Tomas Pospisek <tpo_deb@sourcepole.ch>

Date: Sun, 24 Sep 2006 09:18:21 UTC

Severity: wishlist

Tags: fixed-in-experimental, patch

Found in version gnumeric/1.5.1-1

Fixed in versions gnumeric/1.6.3-4, gnumeric/1.7.1-1

Done: jdassen@debian.org (J.H.M. Dassen (Ray))

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#389140; Package gnumeric. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please make list in description render nicely in aptitude
Date: Sun, 24 Sep 2006 11:04:52 +0200
[Message part 1 (text/plain, inline)]
Package: gnumeric
Version: 1.5.1-1
Severity: wishlist
Tags: patch

The attached patch lets aptitude detect and render nicely the list in
the description. Please see [1] for the rationale. Patch is attached.

Thanks, 
*t

[1] http://wiki.debian.org/Aptitude::Parse-Description-Bullets=true

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages gnumeric depends on:
ii  gconf2             2.10.0-2              GNOME configuration database syste
ii  gnumeric-common    1.5.1-1               common files for Gnumeric, the GNO
ii  gsfonts            8.14+v8.11+urw-0.2    Fonts for the Ghostscript interpre
ii  libart-2.0-2       2.3.17-1              Library of functions for 2D graphi
ii  libatk1.0-0        1.10.1-2              The ATK accessibility toolkit
ii  libbonobo2-0       2.8.1-2               Bonobo CORBA interfaces library
ii  libbonoboui2-0     2.8.1-2               The Bonobo UI library
ii  libc6              2.3.6-7               GNU C Library: Shared libraries
ii  libgconf2-4        2.10.0-2              GNOME configuration database syste
ii  libglade2-0        1:2.5.1-2             library to load .glade files at ru
ii  libglib2.0-0       2.10.2-1              The GLib library of C routines
ii  libgnome2-0        2.8.1-2               The GNOME 2 library - runtime file
ii  libgnomecanvas2-0  2.10.2-2              A powerful object-oriented display
ii  libgnomeprint2.2-0 2.10.3-2              The GNOME 2.2 print architecture -
ii  libgnomeprintui2.2 2.10.2-2              GNOME 2.2 print architecture User 
ii  libgnomeui-0       2.8.1-3               The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0     2.8.4-4               The GNOME virtual file-system libr
ii  libgoffice-1       0.0.1-2               Document centric objects library -
ii  libgsf-1           1.12.0-1              Structured File Library - runtime 
ii  libgsf-gnome-1     1.12.0-1              Structured File Library - runtime 
ii  libgtk2.0-0        2.8.16-1              The GTK+ graphical user interface 
ii  libice6            4.3.0.dfsg.1-14sarge1 Inter-Client Exchange library
ii  liborbit2          1:2.12.2-1            libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0      1.12.1-2              Layout and rendering of internatio
ii  libpopt0           1.7-5                 lib for parsing cmdline parameters
ii  libsm6             4.3.0.dfsg.1-14sarge1 X Window System Session Management
ii  libxml2            2.6.16-7              GNOME XML library
ii  xlibs              4.3.0.dfsg.1-14sarge1 X Keyboard Extension (XKB) configu
ii  zlib1g             1:1.2.2-4.sarge.2     compression library - runtime

gnumeric recommends no packages.

-- no debconf information
[diff (text/plain, attachment)]

Tags added: fixed-in-experimental Request was from jdassen@debian.org (J.H.M. Dassen (Ray)) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to jdassen@debian.org (J.H.M. Dassen (Ray)):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 389140-close@bugs.debian.org (full text, mbox):

From: jdassen@debian.org (J.H.M. Dassen (Ray))
To: 389140-close@bugs.debian.org
Subject: Bug#389140: fixed in gnumeric 1.6.3-4
Date: Sun, 22 Oct 2006 09:48:01 -0700
Source: gnumeric
Source-Version: 1.6.3-4

We believe that the bug you reported is fixed in the latest version of
gnumeric, which is due to be installed in the Debian FTP archive:

gnumeric-common_1.6.3-4_all.deb
  to pool/main/g/gnumeric/gnumeric-common_1.6.3-4_all.deb
gnumeric-doc_1.6.3-4_all.deb
  to pool/main/g/gnumeric/gnumeric-doc_1.6.3-4_all.deb
gnumeric-plugins-extra_1.6.3-4_i386.deb
  to pool/main/g/gnumeric/gnumeric-plugins-extra_1.6.3-4_i386.deb
gnumeric_1.6.3-4.diff.gz
  to pool/main/g/gnumeric/gnumeric_1.6.3-4.diff.gz
gnumeric_1.6.3-4.dsc
  to pool/main/g/gnumeric/gnumeric_1.6.3-4.dsc
gnumeric_1.6.3-4_i386.deb
  to pool/main/g/gnumeric/gnumeric_1.6.3-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 389140@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
J.H.M. Dassen (Ray) <jdassen@debian.org> (supplier of updated gnumeric package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Oct 2006 17:42:30 +0200
Source: gnumeric
Binary: gnumeric-doc gnumeric-common gnumeric gnumeric-plugins-extra
Architecture: source i386 all
Version: 1.6.3-4
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: J.H.M. Dassen (Ray) <jdassen@debian.org>
Description: 
 gnumeric   - GNOME spreadsheet application
 gnumeric-common - common files for Gnumeric, the GNOME spreadsheet application
 gnumeric-doc - documentation for Gnumeric, the GNOME spreadsheet application
 gnumeric-plugins-extra - additional plugins for the GNOME spreadsheet
Closes: 380831 389140 394053
Changes: 
 gnumeric (1.6.3-4) unstable; urgency=low
 .
   * Pulled in core code and translation changes from upstream CVS branch.
   * Backported packaging improvements from the 1.7.x packages in experimental,
     including:
     * Follow new python policy. (Closes: #380831)
     * [debian/control] Made lists in package descriptions render nicely in
       aptitude (Closes: #389140)
   * [debian/po/ja.po] Added, courtesy of Shimono Atsushi
     <shimono@kwasan.kyoto-u.ac.jp>. (Closes: ##384994).
   * [debian/gnumeric.mime] Add text/csv in whose favour
     text/comma-separated-values has been depreciated in RFC 4180.
     (Closes: #394053)
Files: 
 17b5c9cea24d20304cf29c3bab9709bb 1316 math optional gnumeric_1.6.3-4.dsc
 4fa611cebda3e8f813b92270894b6ff0 355428 math optional gnumeric_1.6.3-4.diff.gz
 9bf25240fe89efe53613356a6d1b2af4 5294134 math optional gnumeric-common_1.6.3-4_all.deb
 68fcb9d1327f2c9b6d7434ef1e29c568 4188564 doc optional gnumeric-doc_1.6.3-4_all.deb
 541322ecc850e4fd7dd93d2241f272f4 2099112 math optional gnumeric_1.6.3-4_i386.deb
 1ee1c72ab6e573cbcc5095ce34fd741b 152312 math optional gnumeric-plugins-extra_1.6.3-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD4DBQFFO5wmIwmOUm50p9ERAlZeAJdA0okh9Bknce5D5Qm5+Ps1t/jXAJ4lgEp5
8TKG6IQJ77XcLS7H+nuqig==
=9J3H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:14:17 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to controlbugs.debian.org. (Sat, 09 Aug 2008 17:48:24 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.7.1-1. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to controlbugs.debian.org. (Tue, 12 Aug 2008 08:09:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to controlbugs.debian.org. (Tue, 12 Aug 2008 08:09:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:52:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.